#DEFINE BORDER_LEFT                      1
#DEFINE BORDER_RIGHT                     2
#DEFINE BORDER_TOP                       4
#DEFINE BORDER_BOTTOM                    8
#DEFINE BORDER_DIAGONAL_DOWN            16
#DEFINE BORDER_DIAGONAL_UP              32

loExport = newobject('VFPXWorkbookXLSX', ;
	'VFPXWorkbookXLSX\VFPXWorkbookXLSX.vcx')
with loExport
	lnWorkbook = .CreateWorkbook('ExcelTest.xlsx')
	lnSheet    = .AddSheet(lnWorkbook, 'Test Sheet 1')

* Create some dummy data.

	for lnRow = 1 to 10
		for lnCol = 1 to 9
			.SetCellValue(lnWorkbook, lnSheet, lnRow, lnCol, sys(2015))
		next lnCol
	next lnRow

* Set the row and column heights.

	.SetRowHeight(lnWorkbook, lnSheet, 6, 25)
	.SetColumnWidth(lnWorkbook, lnSheet, 1, 25)
	for lnCol = 2 to 9
		.SetColumnWidth(lnWorkbook, lnSheet, lnCol, 14)
	next lnCol

* Set font, size, color, and style.

*                  Workbook,   Sheet, Row, Col,  FontName, Size, Bold, Italic,      ForeColor, UnderLine, StrikThru, tcVPos
	.SetCellFont(lnWorkbook, lnSheet,   1,   1, 'Calibri',   14,  .T.,    .T., rgb(255, 0, 0))
	.SetCellFont(lnWorkbook, lnSheet,   2,   1, 'Tahoma' ,     ,     ,       , rgb(0, 0, 255))
	.SetCellFont(lnWorkbook, lnSheet,   3,   1,          ,   14,  .T.)
	.SetCellFont(lnWorkbook, lnSheet,   4,   1, 'Arial'  ,   14,  .T.,    .T., rgb(0, 0, 255))
	.SetCellFont(lnWorkbook, lnSheet,   6,   1,          ,     ,     ,       ,               ,  'single')
	.SetCellFont(lnWorkbook, lnSheet,   7,   1,          ,     ,     ,       ,               ,  'double')
	.SetCellFont(lnWorkbook, lnSheet,   8,   1,          ,     ,     ,       ,               ,          , .T.)

* Set borders.

	lnBorder = BORDER_LEFT + BORDER_RIGHT + BORDER_TOP + BORDER_BOTTOM
	.SetCellBorder(lnWorkbook, lnSheet, 3, 4, lnBorder, 'thin',   rgb( 16, 100, 200))
	.SetCellBorder(lnWorkbook, lnSheet, 3, 6, lnBorder, 'thick',  rgb(100, 150, 200))
	.SetCellBorder(lnWorkbook, lnSheet, 3, 8, lnBorder, 'double', rgb(200, 150, 100))
	.SetCellBorderEx(lnWorkbook, lnSheet, 5, 2, 'thin', ,'thin', ,'thick', ,'thick')

* Save and open the workbook.

	.SaveWorkbook(lnWorkbook)
endwith
Execute('ExcelTest.xlsx')
